program Normalizeshots

  use sep
  implicit none

  integer                               :: n1, n2, n3, i, nchk
  real   ,  dimension(:,:), allocatable :: s !shotgather
  real   ,  dimension(:  ), allocatable :: r !relative_rms_pow
 
  call sep_init ()
  
  if (.not. exist_file("normcoef")) call seperr("weights file not found")
  call from_aux("normcoef","n1",nchk)
  call from_history("n3", n3)
  if(nchk/=n3) call seperr("Match n1 in normcoef with n3 in input file")

  call from_history("n1", n1, 1)
  call from_history("n2", n2, 1)

  call sep_close ()  

  allocate(r(n3)); r=0.
  call sep_read(r,"normcoef")

  allocate(s(n1,n2)); s=0.

  do i=1,n3
     call sep_read(s) 
     call sep_write(s/r(i))
  end do

  deallocate(s,r)
end program Normalizeshots
