program Stackrms12
! Raises to the square, stacks along axes 1 and 2 AND takes the square root
  use sep
  implicit none

  integer:: n1, n2, n3, i
  real   :: o1, o2, o3, d1, d2, d3
  real   ,  dimension(:,:), allocatable :: input
  real   ,  dimension(:  ), allocatable :: output
 
  call sep_init ()

  call from_history("n1", n1, 1)
  call from_history("n2", n2, 1)
  call from_history("n3", n3, 1)

  call to_history("n1", n3) 
  call to_history("n2",  1)
  call to_history("n3",  1)

  call to_history("o1", 1)
  call to_history("d1", 1)
  call to_history("label1","shot #")
  call to_history("label2","Power of shot gather relative to shot gather 1")
  call to_history("label3"," ")

  call sep_close ()  

  allocate(input(n1,n2),output(n3)); input=0.; output=0.
  do i=1,n3
     call sep_read(input)
     output(i)=sum(input**2)
  end do
  if (output(1)/=0) then
     output=output/output(1)
     if (minval(output(2:))==0) call seperr('Did you square the input?')
  else
     call seperr('power of a shot gather should not be zero')
  end if
  call sep_write(sqrt(output))
  
  deallocate(input,output)

end program Stackrms12
