program Stackvert

  use sep
  implicit none

  integer:: n1, n2, n3, esize
  real   :: o1, o2, o3, d1, d2, d3
  real   ,  dimension(:,:,:), allocatable :: realcube
  real   ,  dimension(:,:  ), allocatable :: capac
 
  call sep_init ()
  call from_history("esize",esize,4)
  if(esize/=4) call seperr("esize must be 4 (only real numbers)")

  call from_history("n1", n1, 1)
  if(n1==1) write(0,*) "warning: n1=1 or missing in input file"
  call from_history("n2", n2, 1)
  call from_history("n3", n3, 1)

  call from_history("o1", o1, 0.)
  call from_history("o2", o2, 0.)
  call from_history("o3", o3, 0.)

  call from_history("d1", d1, 1.)
  if(d1==0.) write(0,*) "warning: d1=0 in input file"
  call from_history("d2", d2, 1.)
  call from_history("d3", d3, 1.)

  call to_history("n1", n2) 
  call to_history("n2", n3)
  call to_history("n3",  1)

  call to_history("o1", o2)
  call to_history("o2", o3)

  call to_history("d1", d2)
  call to_history("d2", d3)

  call to_history("esize",esize)
  call to_history("label1","offset(km)")
  call to_history("label2","midpoint(km)")
  call sep_close ()  

  allocate(realcube(n1,n2,n3),capac(n2,n3)); realcube=0.; capac=0.
     call sep_read(realcube)
     capac=sum(realcube,1) !Attention at the "Box cover transpose" effect!
     call sep_write(capac)
  deallocate(realcube,capac)

end program Stackvert
