program Calibrate
  ! Add 2 pixels to an image so that it will be represented by Grey in the 
  ! same scale (with pclip=100) as another image

  use sep, only: sep_init,sep_close,sep_read,sep_write,from_history,from_aux

  implicit none
  real, dimension (:,:), allocatable :: A, C
  integer                            :: n1, n2, n3, esize, m1, m2, m3

  call sep_init()
  call from_history('n1',n1)
  call from_history('n2',n2)
  call from_history('n3',n3,1)
  if(n3/=1) call seperr('2-D pictures only please')
  call from_aux('caliber','n1',m1)
  call from_aux('caliber','n2',m2)
  call from_aux('caliber','n3',m3,1)
  if(m3/=1) call seperr('Caliber should be 2-d pic')

  call from_history('esize',esize)
  if(esize/=4) call seperr('Esize must be 4')
  call from_aux('caliber','esize',esize)
  if(esize/=4) call seperr('Esize must be 4 in aux')
  call sep_close()

  allocate(A(n1,n2)); A=0
  call sep_read(A)

  allocate(C(m1,m2)); C=0
  call sep_read(C,'caliber')

  A(n1,1)=maxval(C)
  A(n1,n2)=minval(C)
  deallocate(C)
  call sep_write(A)
  deallocate(A)
end program Calibrate
