#include<stdio.h>
#include<seplib.h>
#include<string.h>

main(int argc, char **argv)
{
  int   N=6;
  int   n[N];
  float o[N];
  float d[N];
  int axis,i;
  char buf[3];
  char inbin[250];
  int esize;

  int nn,no,nd;

  if(argc < 2) {
    printf("usage: %s file\n",argv[0]);
    exit(0);
  }

  initpar(argc,argv);

  auxinout(argv[1]);

  if(0==auxpar("in","s",inbin,argv[1])){
    printf("not a header file\n");
    exit(0);
  }

  if(0==auxpar("esize","d",&esize,argv[1])) esize=4;
  if(0==getch("axis","d",&axis)) axis=2;

  /*read axes info*/
  for(i=0;i<N;i++) {
    sprintf(buf,"n%d",i+1);
    if(0==auxpar(buf,"d",&n[i],argv[1])) n[i]=1;

    sprintf(buf,"o%d",i+1);
    if(0==auxpar(buf,"f",&o[i],argv[1])) o[i]=0.;

    sprintf(buf,"d%d",i+1);
    if(0==auxpar(buf,"f",&d[i],argv[1])) d[i]=1.;
  }
  /**/
  for(i=axis-1;i<N;i++) {
    sprintf(buf,"n%d",i+2);
    auxputch(buf,"d",&n[i],argv[1]);
    
    sprintf(buf,"o%d",i+2);
    auxputch(buf,"f",&o[i],argv[1]);
    
    sprintf(buf,"d%d",i+2);
    auxputch(buf,"f",&d[i],argv[1]);
  }
  /**/
  if(0==getch("nn","d",&nn)) nn=1;
  sprintf(buf,"n%d",axis);
  auxputch(buf,"d",&nn,argv[1]);
  
  if(0==getch("no","f",&no)) no=0.0;
  sprintf(buf,"o%d",axis);
  auxputch(buf,"f",&no,argv[1]);

  if(0==getch("nd","f",&nd)) nd=1.0;
  sprintf(buf,"d%d",axis);
  auxputch(buf,"f",&nd,argv[1]);
  /**/
}













