#include <math.h>
#include <stdlib.h>
#include "hwt_global.h"
#include "hwt_struct.h"
#include "hwt_alloct.h"

void allocate_cube(cube *pCC)
{
  int i2,i3;

  pCC->c0=(float***) malloc(pCC->n3*sizeof(float**));
  for(i3=0;i3<pCC->n3;i3++) {
    pCC->c0[i3]=(float**) malloc(pCC->n2*sizeof(float*));
  }
  for(i3=0;i3<pCC->n3;i3++) {
    for(i2=0;i2<pCC->n2;i2++) {
      pCC->c0[i3][i2]=(float*) malloc(pCC->n1*sizeof(float));
    }}
}

void set_cube(cube *pCC, float f)
{
  int i1,i2,i3;

  for(i3=0;i3<pCC->n3;i3++) { 
    for(i2=0;i2<pCC->n2;i2++) {
      for(i1=0;i1<pCC->n1;i1++) {
	pCC->c0[i3][i2][i1]=f;
      }}}
}

void allocate_rays(rays* pRR)
{  
  int ii,ia;

  pRR->c0=(point3D***) malloc(pRR->ni*sizeof(point3D**));
  for(ii=0;ii<pRR->ni;ii++) {
    pRR->c0[ii]=(point3D**) malloc(pRR->na*sizeof(point3D*));
  }
  for(ii=0;ii<pRR->ni;ii++) {
    for(ia=0;ia<pRR->na;ia++) {
      pRR->c0[ii][ia]=(point3D*) malloc(pRR->nt*sizeof(point3D));
    }}
}




