/*<
int3d
>*/
#include <sep.main>
#include "basicio.h"
#include "intiosetup.h"
#include "hwt_struct.h"
#include "hwt_global.h"
#include "hwt_alloct.h"
#include "hwt_output.h"

MAIN()
{
  rays RR;
  cube TT;
  cube LL;
  triplets trp;
  tetrahedra tet;
  
  wr("----------------\n");
  wr("read data  R  "); read_cube(4);              wr("OK\n");
  wr("read par   R  "); readpar_rays_cube(&RR);    wr("OK\n");
  wr("allocate   R  "); allocate_rays(&RR);        wr("OK\n");
  wr("transfer   R  "); transfer_rays(&RR);        wr("OK\n");
  wr("measure    R  "); measure_rays(&RR);         wr("OK\n");
  wr("----------------\n");
  wr("tesselate ON  "); tesselate_init(&RR,&trp,&tet); wr("OK\n");
  wr("tesselate     "); tesselate(&RR,&trp,&tet);  wr("OK\n");
  wr("----------------\n");
  wr("read par   T  "); readpar_time(&TT);         wr("OK\n");

  LL=TT;

  wr("allocate   T  "); allocate_cube(&TT);        wr("OK\n");
  wr("allocate   L  "); allocate_cube(&LL);        wr("OK\n");
  wr("----------------\n");
  wr("set        L  "); set_cube(&LL,0.0);         wr("OK\n");
  wr("set        T  "); set_cube(&TT,NOTIME);      wr("OK\n");
  wr("----------------\n");
  if(fast) {
    wr("interpolate   "); get_times_fast(&RR,&trp,&tet,&TT,&LL); wr("OK\n"); }
  else {
    wr("interpolate   "); get_times_slow(&RR,&trp,&tet,&TT,&LL); wr("OK\n"); }
  wr("fill-up       "); median_filter(&TT,&LL);                  wr("OK\n");
  wr("smooth        "); mean_filter(&TT,&LL);                    wr("OK\n");
  wr("tesselate OFF "); tesselate_close(&trp,&tet);wr("OK\n");
  wr("----------------\n");


  wr("write par  T  "); writepar_time(&TT);        wr("OK\n");
  wr("write data T  "); write_times(&TT);          wr("OK\n");
  wr("----------------\n");
  wr("              8)\n");
  return 1;
}

