module max_loc_and_val_mod
  implicit none
  public:: max_loc_and_val
  contains

  function max_loc_and_val(vector,ot,dt) result(loc_and_val)
    real, dimension(:), intent(in) :: vector
    real,               intent(in) :: ot,dt
    real, dimension(2)             :: loc_and_val

    integer :: it

    it = sum(maxloc(vector)) !Dirty fortran bug. Try without sum and you'll see
    loc_and_val(1) = ot + dt*real(it-1)
    loc_and_val(2) = vector(it)
  end function max_loc_and_val

end module max_loc_and_val_mod
