program Elim112th

  use sep
  implicit none

  integer                             :: nt, n2, i, j
  integer, parameter                  :: wanted_noff=111
  integer, parameter                  :: nelim=102
  integer, dimension(nelim)           :: blacklist
  real   ,  dimension(:), allocatable :: trace

  call sep_init ()
  call from_history("n1", nt)
  call from_history("n2", n2)
  call to_history  ("n2", n2-nelim)
  call sep_close ()  

  allocate(trace(nt)); trace=0.

  blacklist(1)=5*wanted_noff+1
  do i=2,102
     blacklist(i)=blacklist(i-1)+4*wanted_noff+1
  end do

  j=1
  do i=1,n2
     if (i==blacklist(j)) then
        j=j+1
        call sep_read(trace)
     else
        call sep_read(trace)
        call sep_write(trace) 
     end if
  end do
  deallocate(trace)

end program Elim112th
